<!-- HTML header for doxygen 1.8.18-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=9" />
    <meta name="generator" content="Doxygen 1.9.1" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>VizBlocks: BehaviourTable Class Reference</title>
    <link href="tabs.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="jquery.js"></script>
    <script type="text/javascript" src="dynsections.js"></script>
     <link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
    <link href="my_customdoxygen.css" rel="stylesheet" type="text/css" />
  </head>
  <body>
    <div id="top">
      <!-- do not remove this div, it is closed by doxygen! -->
      <header id="header" class="desktop">
        <div>
          <div class="inner-header">
            <div class="logotype">
              <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/" aria-hidden="true" title="Site home"
                >VizBlocks</a
              >
            </div>
            <div class="navigation">
              <button
                onclick="toggleBurger()"
                type="button"
                aria-label="toggle burger menu"
              >
                <i class="fa fa-bars"></i>
              </button>
              <nav id="menu" class="collapse">
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/" class="home">Home</a>
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/about" class="about">About</a>
                <a
                  href="https://edinburgh-college-of-art.github.io/vizblocks-website/tutorials/0_getting_started.html"
                  class="start"
                  >Get Started</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/tutorials" class="tutorials"
                  >Tutorials</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/docs/html" class="docs"
                  >Technical Info</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/contact" class="content">Contact</a>
              </nav>
            </div>
          </div>
        </div>
        <script>
          const toggleBurger = () => {
            const menu = document.getElementById("menu");
            if (menu.className === "collapse") {
              menu.className = "extend";
            } else {
              menu.className = "collapse";
            }
          };
          const touchDevice = "ontouchstart" in document.documentElement;
          if (touchDevice) {
            const header = document.getElementById("header");
            header.className = "mobile";
          }
        </script>
      </header>
      <!-- end header part -->
    </div>
  </body>
</html>
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="class_behaviour_table-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">BehaviourTable Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A container for a block's behaviours.  
 <a href="class_behaviour_table.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_behaviours_8h_source.html">Behaviours.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a96ee4c7c933eb504cec5869f32b685af"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_behaviour_table.html#a96ee4c7c933eb504cec5869f32b685af">add</a> (<a class="el" href="class_behaviour.html">Behaviour</a> *b)</td></tr>
<tr class="separator:a96ee4c7c933eb504cec5869f32b685af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a418f3281a4015f9aee5bf96f04bbc7e2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_behaviour_table.html#a418f3281a4015f9aee5bf96f04bbc7e2">BehaviourTable</a> ()</td></tr>
<tr class="separator:a418f3281a4015f9aee5bf96f04bbc7e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5d8a74149039069429b8220bd20387a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_behaviour.html">Behaviour</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_behaviour_table.html#ad5d8a74149039069429b8220bd20387a">get</a> (String n)</td></tr>
<tr class="separator:ad5d8a74149039069429b8220bd20387a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9032dcf2ef997e471bb24f1d5a01b526"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_behaviour.html">Behaviour</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_behaviour_table.html#a9032dcf2ef997e471bb24f1d5a01b526">get_by_num</a> (int n)</td></tr>
<tr class="separator:a9032dcf2ef997e471bb24f1d5a01b526"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54ee378244ccb20084f6d9f3e629cce9"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_behaviour_table.html#a54ee378244ccb20084f6d9f3e629cce9">get_num_behaviours</a> ()</td></tr>
<tr class="separator:a54ee378244ccb20084f6d9f3e629cce9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ad9d97706571921853ee9264a4c8b5002"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_behaviour_table.html#ad9d97706571921853ee9264a4c8b5002">num</a> = 0</td></tr>
<tr class="separator:ad9d97706571921853ee9264a4c8b5002"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A container for a block's behaviours. </p>
<p>This class allows for up to 40 behaviours to be stored and retrieved. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a418f3281a4015f9aee5bf96f04bbc7e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a418f3281a4015f9aee5bf96f04bbc7e2">&#9670;&nbsp;</a></span>BehaviourTable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">BehaviourTable::BehaviourTable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a96ee4c7c933eb504cec5869f32b685af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a96ee4c7c933eb504cec5869f32b685af">&#9670;&nbsp;</a></span>add()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void BehaviourTable::add </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_behaviour.html">Behaviour</a> *&#160;</td>
          <td class="paramname"><em>b</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Add a behaviour to the table. </p>

</div>
</div>
<a id="ad5d8a74149039069429b8220bd20387a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5d8a74149039069429b8220bd20387a">&#9670;&nbsp;</a></span>get()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_behaviour.html">Behaviour</a>* BehaviourTable::get </td>
          <td>(</td>
          <td class="paramtype">String&#160;</td>
          <td class="paramname"><em>n</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Search for and return a behaviour by name. </p>

</div>
</div>
<a id="a9032dcf2ef997e471bb24f1d5a01b526"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9032dcf2ef997e471bb24f1d5a01b526">&#9670;&nbsp;</a></span>get_by_num()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_behaviour.html">Behaviour</a>* BehaviourTable::get_by_num </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>n</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Search for and return a behaviour by index. </p>

</div>
</div>
<a id="a54ee378244ccb20084f6d9f3e629cce9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a54ee378244ccb20084f6d9f3e629cce9">&#9670;&nbsp;</a></span>get_num_behaviours()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int BehaviourTable::get_num_behaviours </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Return the number of behaviours in the table. </p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ad9d97706571921853ee9264a4c8b5002"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad9d97706571921853ee9264a4c8b5002">&#9670;&nbsp;</a></span>num</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int BehaviourTable::num = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>src/<a class="el" href="_behaviours_8h_source.html">Behaviours.h</a></li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.18-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.9.1
</small></address>
</body>
</html>
